"""
Copyright (c) 2014 Maciej Nabozny

This file is part of CloudOver project.

CloudOver is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""

from corecluster.utils import validation as v
from corecluster.models.common_models import CoreModel, UserMixin
from django.db import models


class SshKey(UserMixin, CoreModel):
    name = models.CharField(max_length=64)
    key = models.CharField(max_length=512)
    created = models.DateTimeField(auto_now_add=True)

    serializable = ['id', 'name', 'key', 'access', 'created']
    editable = ['name',
               ['access',          v.in_list(UserMixin.object_access)]]